## Index

### Interfaces

- Circle
- ExternalOGCServer
- Fill
- LayerConfig
- LineConfiguration
- Map
- MeasureRasterLayer
- MousePositionProjection
- OptionsLegendType
- RegularShape
- RoutingProfile
- SearchAction
- SearchComponentDatasource
- StringToHtmlReplacement
- Stroke
- Style
- View
- WfsType
- gmfAuthenticationConfig
- gmfBackgroundLayerSelectorOptions
- gmfContextualDataOptions
- gmfDisclaimerOptions
- gmfDisplayQueryGridOptions
- gmfDisplayQueryWindowOptions
- gmfEditFeatureOptions
- gmfElevationOptions
- gmfLayerTreeOptions
- gmfMobileMeasureAreaOptions
- gmfMobileMeasureLengthOptions
- gmfMobileMeasurePointOptions
- gmfMousePositionOptions
- gmfObjectEditingToolsOptions
- gmfOptions
- gmfPermalinkOptions
- gmfPrintOptions
- gmfProfileOptions
- gmfSearchOptions
- gmfShareOptions
- gmfThemesOptions
- gmfVectorTilesOptions
- layerIcon
- ngeoGeolocationOptions
- ngeoProfileOptions
- ngeoQueryOptions
- ngeoRoutingOptions
- ngeoScaleSelectorOptions
- ngeoStreetviewOptions
- ngeoWfsPermalinkOptions
- olTileGridOptions

### Type Aliases

- GridMergeTabs
- StyleLike
- authenticationBaseUrl
- defaultLang
- fulltextsearchUrl
- gmfAuthenticationNoReloadRole
- gmfCsvFilename
- gmfCustomJavascriptUrl
- gmfCustomStylesheetUrl
- gmfExternalOGCServers
- gmfFloors
- gmfLayersUrl
- gmfPrintUrl
- gmfProfileJsonUrl
- gmfProjectionsOptions
- gmfQueryGrid
- gmfRasterUrl
- gmfSearchGroups
- gmfShortenerCreateUrl
- gmfTreeManagerModeFlush
- gmfTreeUrl
- gmfVectorTilesUrl
- langUrls
- ngeoCsvEncoding
- ngeoCsvExtension
- ngeoCsvIncludeHeader
- ngeoCsvQuote
- ngeoCsvSeparator
- ngeoMeasureDecimals
- ngeoMeasurePrecision
- ngeoMeasureSpherical
- ngeoNominatimSearchDefaultParams
- ngeoOfflineTestUrl
- ngeoPermalinkOgcserverUrl
- ngeoPointfilter
- ngeoSnappingTolerance
- ngeoStringToHtmlReplacements
- ngeoTilesPreloadingLimit
- ngeoUsedKeyRegexp

### Variables

- default

### Functions

- buildStyle

## Type Aliases

### GridMergeTabs

GridMergeTabs: Object<string, string[]>

- Defined in src/options.js:732

#### Type Parameters

### StyleLike

StyleLike: StyleLike | Style[] | Style

- Defined in src/options.js:153

#### Type Parameters

### authenticationBaseUrl

authenticationBaseUrl: string

- Defined in src/options.js:384

#### Type Parameters

### defaultLang

defaultLang: string

- Defined in src/options.js:426

#### Type Parameters

### fulltextsearchUrl

fulltextsearchUrl: string

- Defined in src/options.js:390

#### Type Parameters

### gmfAuthenticationNoReloadRole

gmfAuthenticationNoReloadRole: string | null

- Defined in src/options.js:697

#### Type Parameters

### gmfCsvFilename

gmfCsvFilename: string

- Defined in src/options.js:703

#### Type Parameters

### gmfCustomJavascriptUrl

gmfCustomJavascriptUrl: string

- Defined in src/options.js:902

#### Type Parameters

### gmfCustomStylesheetUrl

gmfCustomStylesheetUrl: string

- Defined in src/options.js:908

#### Type Parameters

### gmfExternalOGCServers

gmfExternalOGCServers: ExternalOGCServer[]

- Defined in src/options.js:686

#### Type Parameters

### gmfFloors

gmfFloors: Object<string, string>[]

- Defined in src/options.js:663

#### Type Parameters

### gmfLayersUrl

gmfLayersUrl: string

- Defined in src/options.js:414

#### Type Parameters

### gmfPrintUrl

gmfPrintUrl: string

- Defined in src/options.js:420

#### Type Parameters

### gmfProfileJsonUrl

gmfProfileJsonUrl: string

- Defined in src/options.js:408

#### Type Parameters

### gmfProjectionsOptions

gmfProjectionsOptions: Object<string, api/src/options>

- Defined in src/options.js:544

#### Type Parameters

### gmfQueryGrid

gmfQueryGrid: boolean

- Defined in src/options.js:738

#### Type Parameters

### gmfRasterUrl

gmfRasterUrl: string

- Defined in src/options.js:402

#### Type Parameters

### gmfSearchGroups

gmfSearchGroups: string[]

- Defined in src/options.js:690

#### Type Parameters

### gmfShortenerCreateUrl

gmfShortenerCreateUrl: string

- Defined in src/options.js:396

#### Type Parameters

### gmfTreeManagerModeFlush

gmfTreeManagerModeFlush: boolean

- Defined in src/options.js:550

#### Type Parameters

### gmfTreeUrl

gmfTreeUrl: string

- Defined in src/options.js:371

#### Type Parameters

### gmfVectorTilesUrl

gmfVectorTilesUrl: string

- Defined in src/options.js:378

#### Type Parameters

### langUrls

langUrls: Object<string, string>

- Defined in src/options.js:432

#### Type Parameters

### ngeoCsvEncoding

ngeoCsvEncoding: string

- Defined in src/options.js:289

#### Type Parameters

### ngeoCsvExtension

ngeoCsvExtension: string

- Defined in src/options.js:295

#### Type Parameters

### ngeoCsvIncludeHeader

ngeoCsvIncludeHeader: boolean

- Defined in src/options.js:301

#### Type Parameters

### ngeoCsvQuote

ngeoCsvQuote: string

- Defined in src/options.js:307

#### Type Parameters

### ngeoCsvSeparator

ngeoCsvSeparator: string

- Defined in src/options.js:313

#### Type Parameters

### ngeoMeasureDecimals

ngeoMeasureDecimals: number

- Defined in src/options.js:271

#### Type Parameters

### ngeoMeasurePrecision

ngeoMeasurePrecision: number

- Defined in src/options.js:267

#### Type Parameters

### ngeoMeasureSpherical

ngeoMeasureSpherical: boolean

- Defined in src/options.js:275

#### Type Parameters

### ngeoNominatimSearchDefaultParams

ngeoNominatimSearchDefaultParams: Object<string, string>

- Defined in src/options.js:169

#### Type Parameters

### ngeoOfflineTestUrl

ngeoOfflineTestUrl: string

- Defined in src/options.js:159

#### Type Parameters

### ngeoPermalinkOgcserverUrl

ngeoPermalinkOgcserverUrl: string

- Defined in src/options.js:165

#### Type Parameters

### ngeoPointfilter

ngeoPointfilter: string

- Defined in src/options.js:283

#### Type Parameters

### ngeoSnappingTolerance

ngeoSnappingTolerance: number

- Defined in src/options.js:279

#### Type Parameters

### ngeoStringToHtmlReplacements

ngeoStringToHtmlReplacements: StringToHtmlReplacement[]

- Defined in src/options.js:220

#### Type Parameters

### ngeoTilesPreloadingLimit

ngeoTilesPreloadingLimit: number

- Defined in src/options.js:229

#### Type Parameters

### ngeoUsedKeyRegexp

ngeoUsedKeyRegexp: string[]

- Defined in src/options.js:235

#### Type Parameters

## Variables

### default

default: any

- Defined in src/options.js:911

Use to inject custom stylesheet from an URL.

## Functions

### buildStyle

- buildStyle(styleDescriptor: StyleLike): StyleLike

- - Defined in src/options.js:91

  #### Parameters

  - ##### styleDescriptor: StyleLike

    The description of the style

  #### Returns StyleLike

Generated using TypeDoc